# Companies

Everything about your Companies

 - [POST /companies](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/companies/createorupdatecompany.md): You can create or update a company. Companies will be only visible in Intercom when there is at least one associated user. Companies are looked up via `company_id` in a `POST` request, if not found vi
 - [GET /companies](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/companies/retrievecompany.md): You can fetch a single company by passing in `company_id` or `name`. `https://api.intercom.io/companies?name={name}` `https://api.intercom.io/companies?company_id={company_id}` You can fetch all compa
 - [GET /companies/{id}](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/companies/retrieveacompanybyid.md): You can fetch a single company.
 - [PUT /companies/{id}](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/companies/updatecompany.md): You can update a single company using the Intercom provisioned `id`. When updating a company it is not possible to update `company_id`. This can only be set once upon creation of the company.
 - [DELETE /companies/{id}](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/companies/deletecompany.md): Delete a single company. This endpoint does not permanently remove the company. It archives the company record and detaches any contacts attached to it; the contacts themselves are not deleted. A `com
 - [GET /companies/{id}/contacts](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/companies/listattachedcontacts.md): You can fetch a list of all contacts that belong to a company.
 - [GET /companies/{id}/segments](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/companies/listattachedsegmentsforcompanies.md): You can fetch a list of all segments that belong to a company.
 - [POST /companies/list](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/companies/listallcompanies.md): You can list companies. The company list is sorted by the `last_request_at` field and by default is ordered descending, most recently requested first. Note that the API does not include companies who
 - [GET /companies/scroll](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/companies/scrolloverallcompanies.md): The `list all companies` functionality does not work well for huge datasets, and can result in errors and performance problems when paging deeply. The Scroll API provides an efficient mechanism for it
 - [POST /contacts/{id}/companies](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/companies/attachcontacttoacompany.md): You can attach a company to a single contact.
 - [GET /contacts/{id}/companies](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/companies/listcompaniesforacontact.md): You can fetch a list of companies that are associated to a contact.
 - [DELETE /contacts/{contact_id}/companies/{id}](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/companies/detachcontactfromacompany.md): You can detach a company from a single contact.
 - [Company](https://developers.intercom.com/docs/references/2.12/rest-api/api.intercom.io/companies/company.md): Schema: #/components/schemas/company
